Fix Django’s Unable to configure filter ‘require_debug_false’

Error on my ubuntu server:

ValueError: Unable to configure filter 'require_debug_false': Cannot resolve 'django.utils.log.RequireDebugFalse': No module named RequireDebugFalse

Fix:

apt-get install python-pip
pip install --upgrade django
[..]
You have just installed Django over top of an existing
installation, without removing it first. Because of this,
your install may now include extraneous files from a
previous version that have since been removed from
Django. This is known to cause a variety of problems. You
should manually remove the
/usr/lib/python2.7/dist-packages/django
directory and re-install Django.

Well okay..

rm -rf /usr/lib/python2.7/dist-packages/django
pip install --upgrade django

Done

 

 

 

 

Leave a Comment


NOTE - You can use these HTML tags and attributes:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>